# ForteRuby

The ForteRuby provides Ruby APIs for customers, addresses, settlements and transactions resourses using the Forte API.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'forte_ruby'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install forte_ruby

## Usage

Create a configuration file(`config/forte_ruby.yml`):

```yaml
development: &default 
  api_login_id: your_login_id
  secure_transaction_key: you_key
  account_id: your_account_id
  location_id: you_location_id
  endpoint: https://sandbox.forte.net/api/v1

test: 
  <<: *default

production:
  api_login_id: your_login_id
  secure_transaction_key: you_key
  account_id: your_account_id
  location_id: you_location_id
  endpoint: https://forte.net/api/v1
```

Get customers list

```ruby
  ForteRuby.customers.all
```

Update/delete customer

```ruby
  customer = ForteRuby.customers.all.first
  customer.update(first_name: 'Bob')
  customer.delete
```

Create new customer

```ruby
  customer = ForteRuby.customers.build_from(first_name: 'Bob')
  customer.save
```

Find customer by id

```ruby
  ForteRuby.customers.find_by_id('cst_123')
```

Use filters to get customers

```ruby
  ForteRuby.customers.filter(first_name: 'Bob')
```

Get addresses list

```ruby
  customer = ForteRuby.customers.all.first
  addresses = customer.addresses.all
```

You can use the same methods for transactions and settlements. But this gem provide only read operations for them.

## Contributing

1. Fork it ( https://github.com/[my-github-username]/forte_ruby/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
