require 'spec_helper'

describe ForteRuby::API::Base do
  describe '#initialize' do
    let(:request_data) { double('request_data') }

    context 'request data' do
      before { allow(ForteRuby::API::RequestData).to receive(:new).and_return(request_data) }
      subject { ForteRuby::API::Base.new }

      it 'sets request data' do
        expect(subject.request_data).to eq(request_data)
      end
    end

    context 'attributes' do
      subject { ForteRuby::API::Base.new(request_data: request_data) }

      it 'sets attributes' do
        expect(subject.request_data).to eq(request_data)
      end
    end
  end
end
