require 'spec_helper'

describe ForteRuby::API::RequestData do
  subject { ForteRuby::API::RequestData.new }

  it 'initializes config variable' do
    expect(subject.config.account_id).to eq(300044)
  end

  describe '#base_url' do
    it 'returns base url to api' do
      expect(subject.base_url).to eq('https://sandbox.forte.net/api/v1/accounts/act_300044/locations/loc_169531')
    end
  end

  describe '#headers' do
    it 'returns hash that include account id header' do
      expect(subject.headers['X-Forte-Auth-Account-Id']).to eq(subject.send('account_id'))
    end

    it 'returns hash that include authorization header' do
      expect(subject.headers['Authorization']).to eq("Basic #{subject.send('signature')}")
    end

    it 'returns hash that include accept header' do
      expect(subject.headers['Accept']).to eq("application/json")
    end

    it 'returns hash that include content type header' do
      expect(subject.headers['Content-Type']).to eq("json")
    end
  end
end
