require 'spec_helper'

describe ForteRuby::Resourses::Address do
  context 'for existed address' do
    let(:customer) do
      VCR.use_cassette('customers/all/many') do
        ForteRuby::Resourses::Customers.new.all.first
      end
    end
    subject do
      VCR.use_cassette('addresses/many') do
        customer.addresses.all.first
      end
    end

    #describe '#update' do
      #it 'returns successful result' do
        #VCR.use_cassette('customer/update/success') do
          #expect(subject.update(first_name: 'Mike').successful?).to eq(true)
        #end
      #end

      #it 'sets first name for customer object' do
        #VCR.use_cassette('customer/update/success') do
          #subject.update(first_name: 'Mike')
          #expect(subject.first_name).to eq('Mike')
        #end
      #end

      #context 'for invalid data' do
        #let(:result) { subject.update(status: 'unexisted') }

        #it 'returns unsuccessful result' do
          #VCR.use_cassette('customer/update/error') do
            #expect(result.successful?).to eq(false)
          #end
        #end

        #it 'sets error for result object' do
          #VCR.use_cassette('customer/update/error') do
            #expect(result.response).to include("Error[2]: Unexpected value for CustomerStatus")
          #end
        #end
      #end
    #end

    describe '#delete' do
      it 'returns successful result' do
        VCR.use_cassette('address/delete/success') do
          expect(subject.delete.successful?).to eq(true)
        end
      end
    end
  end

  context 'create new address' do
    let(:customer) do
      VCR.use_cassette('customers/all/many') do
        ForteRuby::Resourses::Customers.new.all.first
      end
    end
    subject { customer.addresses.build_from(first_name: 'Mario') }
    
    it 'returns successful result' do
      VCR.use_cassette('address/create/success') do
        expect(subject.save.successful?).to eq(true)
      end
    end

    it 'sets first name for customer object' do
      VCR.use_cassette('address/create/success') do
        subject.save
        expect(subject.first_name).to eq('Mario')
      end
    end

    it 'sets address token for address object' do
      VCR.use_cassette('address/create/success') do
        subject.save
        expect(subject.address_token).to eq('add_-Wga1yoHZEebH60G-YWJaQ')
      end
    end

    context 'for invalid data' do
      let(:result) { customer.addresses.build_from({address_type: 'unexisted'}).save }

      it 'returns unsuccessful result' do
        VCR.use_cassette('address/create/error') do
          expect(result.successful?).to eq(false)
        end
      end

      it 'sets error for result object' do
        VCR.use_cassette('address/create/error') do
          expect(result.response).to include('Unexpected value for AddressType')
        end
      end
    end
  end
end
