require 'spec_helper'

describe ForteRuby::Resourses::Addresses do
  let(:customer) do
    VCR.use_cassette('customers/all/many') do
      ForteRuby::Resourses::Customers.new.all.first
    end
  end
  subject { customer.addresses }

  describe '#all' do
    it 'returns array of addresses objects' do
      VCR.use_cassette('addresses/many') do
        expect(subject.all.first.class).to eq(ForteRuby::Resourses::Address)
      end
    end

    it 'sets attributes for each address' do
      VCR.use_cassette('addresses/many') do
        expect(subject.all.first.first_name).to eq('Mario')
      end
    end

    it 'returns empty array if there are no addresses' do
      VCR.use_cassette('addresses/empty') do
        expect(subject.all).to eq([])
      end
    end
  end
end
