require 'spec_helper'

describe ForteRuby::Resourses::Settlements do
  subject { ForteRuby::Resourses::Settlements.new }

  describe '#all' do
    it 'returns array of settlements objects' do
      VCR.use_cassette('settlements/many') do
        expect(subject.all.first.class).to eq(ForteRuby::Resourses::Settlement)
      end
    end

    it 'sets attributes for each settlement' do
      VCR.use_cassette('settlements/many') do
        expect(subject.all.first.settle_id).to eq('stl_51cf4633-1767-484f-8784-be76a4076791')
      end
    end

    it 'returns empty array if there are no settlements' do
      VCR.use_cassette('settlements/empty') do
        expect(subject.all).to eq([])
      end
    end
  end
end
