require 'spec_helper'

describe ForteRuby::Resourses::Transactions do
  subject { ForteRuby::Resourses::Transactions.new }

  describe '#all' do
    it 'returns array of transactions objects' do
      VCR.use_cassette('transactions/many') do
        expect(subject.all.first.class).to eq(ForteRuby::Resourses::Transaction)
      end
    end

    it 'sets attributes for each customer' do
      VCR.use_cassette('transactions/many') do
        expect(subject.all.first.action).to eq('sale')
      end
    end

    it 'returns empty array if there are no customers' do
      VCR.use_cassette('transactions/empty') do
        expect(subject.all).to eq([])
      end
    end
  end
end
